# nToken View Methods

### nTokenAddress

Returns the nToken address for the given currency id. Will return all zeros if there is no nToken (this will be the case if the currency cannot be traded in fCash markets).

#### Params

* `uint16 currencyId`

#### Returns

* `address nTokenAddress`

### calculateNTokensToMint

### getNTokenPortfolio

#### Params

* address nTokenAddress

#### Returns

* `address nTokenAddress`

### getNTokenAccount

### nTokenPresentValueUnderlyingDenominated

### nTokenPresentValueAssetDenominated


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.notional.finance/developer-documentation/on-chain/notional-abi-reference/ntoken-view-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
